com.icesoft.faces.context.effects

## Class CurrentStyle

- java.lang.Object
- - com.icesoft.faces.context.effects.CurrentStyle

- All Implemented Interfaces:
    java.io.Serializable

      public class CurrentStyle
      extends java.lang.Object
      implements java.io.Serializable

  Effects can change a components style. This class keeps track of these changes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CSS_UPDATE_FIELD` Name of field used to send CSS Updated

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentStyle(java.lang.String cssString)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `apply(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` Apply CSS changes to the rendered componenent
    `static void` | `apply(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element targetElement, java.lang.String style)`
    `static void` | `apply(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, org.w3c.dom.Element targetElement, java.lang.String style, javax.faces.context.ResponseWriter writer)` Apply css changes to rendered component
    `static void` | `apply(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer)`
    `static java.util.Map` | `decode(javax.faces.context.FacesContext facesContext)` Parse cssUpdates from browser.
    `static void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` Parse CSS updates for a componenet
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCssString()`
    `java.lang.String` | `getLastCssString()`
    `void` | `setLastCssString(java.lang.String lastCssString)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSS_UPDATE_FIELD

          public static final java.lang.String CSS_UPDATE_FIELD

      Name of field used to send CSS Updated
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CurrentStyle

          public CurrentStyle(java.lang.String cssString)

      Parameters:
        `cssString` -

  - ### Method Detail

    - #### getCssString

          public java.lang.String getCssString()

    - #### getLastCssString

          public java.lang.String getLastCssString()

    - #### setLastCssString

          public void setLastCssString(java.lang.String lastCssString)

    - #### apply

          public static void apply(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent)

      Apply CSS changes to the rendered componenent
      Parameters:
        `facesContext` -
        `uiComponent` -

    - #### apply

          public static void apply(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent,
                                   org.w3c.dom.Element targetElement,
                                   java.lang.String style)

    - #### apply

          public static void apply(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent,
                                   javax.faces.context.ResponseWriter writer)

    - #### apply

          public static void apply(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent uiComponent,
                                   org.w3c.dom.Element targetElement,
                                   java.lang.String style,
                                   javax.faces.context.ResponseWriter writer)

      Apply css changes to rendered component
      Parameters:
        `facesContext` -
        `uiComponent` -
        `targetElement` -
        `style` -

    - #### decode

          public static java.util.Map decode(javax.faces.context.FacesContext facesContext)

      Parse cssUpdates from browser. Format id{property:value;property;value}id{property:value}

    - #### decode

          public static void decode(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent uiComponent)

      Parse CSS updates for a componenet
      Parameters:
        `facesContext` -
        `uiComponent` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.